### Method

# Gtk IMMulticontextset_context_id

#### Declaration [src]

    void
    gtk_im_multicontext_set_context_id (
      GtkIMMulticontext* context,
      const char* context_id
    )

#### Description [src]

Sets the context id for `context`.

This causes the currently active delegate of `context` to be replaced by the delegate corresponding to the new context id.

Setting this to a non-`NULL` value overrides the system-wide IM module setting. See the `GtkSettings:gtk-im-module` property.

#### Parameters

`context_id`

  Type: `const char*`

  The id to use.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.